<!DOCTYPE html>
<html>

<head>

    <script
        src="https://code.jquery.com/jquery-3.2.1.min.js"
        integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4="
        crossorigin="anonymous">
    </script>

</head>

<body>
    <h2>Make a staffs table based on JSON data</h2>

    <div id="page"></div>

    <script>
        const peopleSalary = {
            "companyStaffs": [
                {
                    "id":001,
                    "firstName":"Sakapong", 
                    "lastName":"Tanmongkol",
                    "jobPosition":"CTO",
                    "salary":50000
                },
                {
                    "id":002,
                    "firstName":"Sikkawat", 
                    "lastName":"Mayachiew",
                    "jobPosition":["CEO", "Product Owner"],
                    "salary":70000
                },
                {
                    "id":003,
                    "firstName":"Worrawat", 
                    "lastName":"Fontiem",
                    "jobPosition":"Sale Executives",
                    "salary":30000
                },
                {
                    "id":004,
                    "firstName":"Supawit", 
                    "lastName":"Charoenwetch",
                    "jobPosition":"Managing Director",
                    "salary":60000
                }
            ]
        };

        let txt = "";

        txt += "<table border='1'>";
        txt += "<tr>";

        for(x in peopleSalary.companyStaffs[0]) 
        {
            
            txt += "<th>" + x + "</th>";
        }

        txt += "</tr>";
            
        for(let i = 0; i < peopleSalary.companyStaffs.length; i++)
        {
            txt += "<tr>";

            for(p in peopleSalary.companyStaffs[i]) 
            {
                txt += "<td>" + peopleSalary.companyStaffs[i][p] + "</td>";
            }

            txt += "</tr>";
        }

        txt += "</table>";
            
        //document.getElementById("page").innerHTML = txt;
        $(document).ready( () => {

            let $myElement = $("#page");

            $myElement.css("text-align","center");
            $myElement.html(txt);

        });
        
    </script>
    
</body>

</html>



